Subject: [IPsec] Query regarding Qos with IKE

From: Paul Simon <[email-masked]>
Date: Mon, 4 Nov 2013 14:30:42 +0530

Hi,

We are having a requirement to have Qos per CHILD SA inside one IKE SA or
to have Qos per IKE SA. Is it possible to communicate the Qos in IKE
handshake ? Or else how can we achieve to use different Qos, atleast per
IKE SA.

To give a background on the issue we are working on. In usual LTE and 3G
mobile networks before establishing a connection, the UE would sent out the
desired Qos details to the mobile network. The network will then decide on
what Qos can be granted and then communicate this information to UE.
Now people are increasingly using WiFi to connect to mobile network. So we
need a secure connection from WiFi UE to network. For this IPsec is being
recommended in the standards. So here comes the issue how can the mobile
communicate what Qos is preferred to network in IKE handshake.

so can any one throw some light on the issue ?

Thanks and Regards,
Paul Simon